import "./App.css";
import React from "react";
import {
  Box,
  CssBaseline,
  Toolbar,
} from "@mui/material";
import { menuContext } from "./contexts/AppState";
import { MyAppBar } from "./components/MyAppBar";
import { MyDrawer } from "./components/MyDrawer";
import { Main } from "./components/Main";

export default function App() {
  const [isOpened, setOpened] = React.useState(true);

  return (
    <menuContext.Provider value={{ isOpened, setOpened }}>
      <Box sx={{ display: "flex" }}>
        <CssBaseline />

        {/* AppBar */}
        <MyAppBar />

        {/* Drawer */}
        <MyDrawer open={isOpened} />

        {/* Main */}
        <Main open={isOpened}>
          <Toolbar />
          <div>メイン</div>
        </Main>
      </Box>
    </menuContext.Provider>
  );
}

