import { AppBar, Toolbar, IconButton, Typography, Box } from "@mui/material";
import React, { useContext } from "react";
import { menuContext } from "../contexts/AppState";
import MenuIcon from "@mui/icons-material/Menu";

export const MyAppBar = () => {
  // AppState.ts の menuContext を引数に与える
  const { isOpened, setOpened } = useContext(menuContext);

  // menuContext の isOpened プロパティを切り替える
  const toggleOpen = () => setOpened(!isOpened);

  return (
    <>
      <Box sx={{ display: "flex" }}>
        <AppBar
          position="fixed"
          sx={{ zIndex: (theme) => theme.zIndex.drawer + 1 }}
        >
          <Toolbar>
            <IconButton
              color="inherit"
              aria-label="open drawer"
              edge="end"
              onClick={toggleOpen}
              sx={{ mr: 2 }}
            >
              <MenuIcon />
            </IconButton>
            <Typography
              variant="h6"
              noWrap
              component="div"
              sx={{ display: "block" }}
            >
              タイトル
            </Typography>
          </Toolbar>
        </AppBar>
      </Box>
    </>
  );
};

